Name:		        lv2
Version:		    1.14.0
Release:	      %mkrel 1
Summary:        The core LV2 specification

Group:		      System/Libraries
License:		    ISC
URL:		        http://lv2plug.in/
Source0:	      http://lv2plug.in/git/cgit.cgi/lv2.git/snapshot/%{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}sndfile-devel
BuildRequires:  pkgconfig
BuildRequires:	python-devel
BuildRequires:  python-pygments
BuildRequires:	python-rdflib
%rename 	      lv2core

%description
LV2 is a standard for plugins and matching host applications, primarily
targeted at audio processing and generation.

LV2 is a successor to LADSPA, created to address the limitations of LADSPA
which many applications have outgrown.  Compared to LADSPA, all plugin data
is moved from the code to a separate data file, and the code has been made as
generic as possible.  As a result, LV2 can be independently extended
(retaining compatibility wherever possible), and virtually any feasible
plugin features can be implemented in an LV2 plugin.

The major version of this package refers to the LV2 specification revision
contained, while the minor version refers only to this package.

%package	      devel
Summary:	      Development files for the core LV2 specification
Group:		      Development/Libraries
Requires:	      %{name} = %{version}-%{release}
%rename 	      lv2core-devel

%description	devel
This package contains development files for the core LV2 specification.

%prep
%setup -qn %{name}-%{version}
perl -pi -e 's:^#!.*:#!%{__python2}:g' lv2specgen/lv2specgen.py

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
./waf configure -vv --prefix=%{_prefix} --libdir=%{_libdir} --lv2dir=%{_libdir}/lv2 --test
./waf -vv %{?_smp_mflags}

%install
DESTDIR=%buildroot ./waf -vv install

%check
./waf test

%files
%defattr(-,root,root)
%doc COPYING README.md
%exclude %{_libdir}/%{name}/*/*.[ch]
%{_libdir}/%{name}/
%{_bindir}/lv2specgen.py
%{_datadir}/lv2specgen/*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/%{name}/*/*.[hc]
%{_libdir}/pkgconfig/lv2core.pc
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Jan 03 2019 adrianomorselli <adrianomorselli> 1.14.0-1uplos2019
- update
